package com.quoted.system.utils;

import com.quoted.system.domain.vo.ProductCraftItemVo;
import com.quoted.system.domain.vo.ProductPriceRequestVo;

import java.util.ArrayList;
import java.util.List;

public class PriceCommonUtils {

    static List<String> getCraftList(ProductPriceRequestVo requestVo) {
        List<String> craft_list = new ArrayList<>();
        if (requestVo.getCrafts().size() > 0) {
            for (ProductCraftItemVo craft : requestVo.getCrafts()) {
                craft_list.add(craft.getValue());
            }
        }
        return craft_list;
    }
}
